## org.eclipse.emf.databinding
Class EObjectObservableValue

    java.lang.Object
      org.eclipse.core.databinding.observable.AbstractObservable
          org.eclipse.core.databinding.observable.value.AbstractObservableValue
              org.eclipse.emf.databinding.EObjectObservableValue

All Implemented Interfaces:
  IObservable, IObserving, IObservableValue

Direct Known Subclasses:
  EditingDomainEObjectObservableValue

    public class EObjectObservableValue

extends AbstractObservableValue
implements IObserving

PROVISIONAL This API is subject to arbitrary change, including renaming or removal.

Field Summary
`protected EObject` `eObject`
`protected EStructuralFeature` `eStructuralFeature`
`protected Adapter` `listener`

Constructor Summary
`EObjectObservableValue(EObject eObject, EStructuralFeature eStructuralFeature)`
`EObjectObservableValue(Realm realm, EObject eObject, EStructuralFeature eStructuralFeature)`

Method Summary
`protected void` `addListener(java.lang.Object arg0, IObservablesListener arg1)`
`void` `dispose()`
`protected java.lang.Object` `doGetValue()`
`protected void` `doSetValue(java.lang.Object value)`
`protected void` `fireEvent(ObservableEvent arg0)`
`protected void` `firstListenerAdded()`
`java.lang.Object` `getObserved()`
`Realm` `getRealm()`
`java.lang.Object` `getValueType()`
`protected boolean` `hasListeners()`
`protected void` `lastListenerRemoved()`
`protected void` `removeListener(java.lang.Object arg0, IObservablesListener arg1)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.core.databinding.observable.value.AbstractObservableValue
`addValueChangeListener, fireChange, fireValueChange, getValue, isStale, removeValueChangeListener, setValue`

Methods inherited from class org.eclipse.core.databinding.observable.AbstractObservable
`addChangeListener, addStaleListener, checkRealm, fireStale, removeChangeListener, removeStaleListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addStaleListener, getRealm, removeChangeListener, removeStaleListener`

Field Detail

### eObject

    protected EObject eObject

### eStructuralFeature

    protected EStructuralFeature eStructuralFeature

### listener

    protected Adapter listener

Constructor Detail

### EObjectObservableValue

    public EObjectObservableValue(EObject eObject,
                                  EStructuralFeature eStructuralFeature)

### EObjectObservableValue

    public EObjectObservableValue(Realm realm,
                                  EObject eObject,
                                  EStructuralFeature eStructuralFeature)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IObservable`
  Overrides:
    `dispose` in class `AbstractObservableValue`

### getObserved

    public java.lang.Object getObserved()

  Specified by:
    `getObserved` in interface `IObserving`

### firstListenerAdded

    protected void firstListenerAdded()

### lastListenerRemoved

    protected void lastListenerRemoved()

### doGetValue

    protected java.lang.Object doGetValue()

  Specified by:
    `doGetValue` in class `AbstractObservableValue`

### doSetValue

    protected void doSetValue(java.lang.Object value)

  Overrides:
    `doSetValue` in class `AbstractObservableValue`

### getValueType

    public java.lang.Object getValueType()

  Specified by:
    `getValueType` in interface `IObservableValue`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### addListener

    protected void addListener(java.lang.Object arg0,
                               IObservablesListener arg1)

### removeListener

    protected void removeListener(java.lang.Object arg0,
                                  IObservablesListener arg1)

### hasListeners

    protected boolean hasListeners()

### fireEvent

    protected void fireEvent(ObservableEvent arg0)

### getRealm

    public Realm getRealm()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.